Subject: Concerns about nonblocking

From: "Steve Berl" <[email-masked]>
Date: 23 Mar 1993 11:54:59 -0800

Subject:                               Time:11:42 AM
  OFFICE MEMO          Concerns about nonblocking API         Date:3/23/93
My name is Steve Berl. I am an engineer working on SNA connectivity at Apple
Computer. I have not seen the actual spec for nonblocking API, but I saw the
presentation about it at SHARE in San Francisco. I have concerns about use of
this API on the Macintosh.

During the presentation is became clear that there was no way to implement a
program that would never block. You could make a call, then go do something
else, but eventually you need to call wait() to see if your call is done. In
the Mac environment, and I suspect in others, we need a way to test for
completion that never blocks.

Asynchronous notification would also be very useful.

Question: Where can I see a draft of the current proposal for nonblocking in
the CPI-C API?

Thanks
Steve